/* help messages */

#include "helpmsg.h"

char help_bindings_page[] = 
"                       Image Navigation\n\n"
"Middle click or space bar          Pan cursor\n"
"'='                                Zoom in around cursor\n"
"'-'                                Zoom out\n"
"Left button drag left/right        Adjust brightness\n"
"Left button drag up/down           Adjust contrast\n"
"0                                  Auto scale intesity\n"
"9                                  Scale Min-Max\n"
"1-8                                Auto scale with different intensity spans\n"
"                                   1 is sharpest, 8 is dullest\n"
"\n"
"                       Selection\n\n"
"Left click on an object            Select object (and deselect all others)\n"
"Shift-left click on an object      Add to selection\n"
"Ctrl-left click on a star image    Mark star (if not too faint)\n"
"Left click on image:               Show local image statistics\n"
"\n"
"                       Menus\n\n"
"Right click on image               Pop-up the main menu\n"
"Right click on an object           Pop-up the star menu\n"
"\n"
"Many useful commands have keyboard accelerators; they are displayed in the menus.\n"
;

char help_usage_page[] = 
"\ngcx version "VERSION"\n"
"\nusage: gcx [options] [<fits file> ...]\n\n"
"General options:\n"
"-h, --help                         Print command line options\n"
"    --version                      Print program version\n"
"-o, --output <file_name>           Specify output file name for convert\n"
"                                     and frame operations\n"
"-r, --rcfile <params_file>         Load parameters file\n"
"-S, --set <option>=<value>         Set an option overriding the parameters file\n"
"-i, --interactive                  Display frames as they are being processed\n"
"-p, --recipy <recipy_file>         Load recipy file (searches rcp_path)\n"
"    --convert-rcp <recipy_file>    Convert a recipy to the new format\n"
"                                     If an output file name is not specified\n"
"                                     (with the '-o' argument), stdout is used\n"
"                                     If the file argument is '-', stdin is read\n"
"-T, --rep-to-table <report_file>   Convert a report file to tabular format\n"
"                                     If an output file name is not specified\n"
"                                     (with the '-o' argument), stdout is used\n"
"                                     If the file argument is '-', stdin is read\n"
"-O, --obsfile <obs_file>           Load/run obs file (searches obs_path)\n"
"-P, --phot-run <recipy_file>       Load recipy file and run photometry\n"
"-n, --to-pnm                       Convert a fits file to 8-bit pnm\n"
"                                     If an output file name is not specified\n"
"                                     (with the '-o' argument), stdout is used\n"
"\nEnvironment vars used by gcx:\n"
"CX_EDB_DIR:       location of edb catalogs \n"
"                  (default: /usr/local/xephem/catalogs)\n"
;

char help_obscmd_page[] = 
"get              get and display an image without saving\n"
"dark             get and display an dark frame without saving\n"
"goto             goto <objname> [<recipy>]\n"
"                   set observation target and slew telescope\n"
"                   also load the recipy file if present\n"
"match            match frame wcs and repoint telescope to center\n"
"                   the target object \n"
"phot             run the recipy file on the current frame\n"
"ckpoint          check and correct the pointing; if too far off\n"
"                   move the telescope to center the object,\n"
"                   sync it and get another frame\n"
"save             save the current frame using an automatically\n"
"                   generated name\n"
"mget [<frames>]  get and save a number of frames\n"
"mphot [<frames>] get, save and run photometry on a number of frames\n"
;
